#ifndef __ASPTI_H__
#define __ASPTI_H__

//alignment 8 byte
typedef struct
{
	BYTE SRB_Cmd;
	BYTE SRB_Status;
	BYTE SRB_HaId;
	BYTE SRB_Flags;
	DWORD SRB_Hdr_Rsvd;
}
SRB_Header, *PSRB_Header;

typedef struct _SCSI_PASS_THROUGH_DIRECT_WITH_BUFFER
{
	SCSI_PASS_THROUGH_DIRECT sptd;
	ULONG Filler;
	UCHAR ucSenseBuf[32];
}
SCSI_PASS_THROUGH_DIRECT_WITH_BUFFER, *PSCSI_PASS_THROUGH_DIRECT_WITH_BUFFER;


extern "C"
{
	__declspec(dllexport) DWORD	__cdecl GetASPI32SupportInfo();
	__declspec(dllexport) DWORD	__cdecl SendASPI32Command(LPSRB pSrb);
}

void scanBus();
DWORD command_HaInquiry(LPSRB pSrb_);
DWORD command_GetDevType(LPSRB pSrb_);
DWORD command_ExecScsiCmd(LPSRB pSrb_);
DWORD command_AbortSrb(LPSRB pSrb_);
DWORD command_ResetDev(LPSRB pSrb_);
DWORD command_GetDiskInfo(LPSRB pSrb_);
DWORD command_RescanScsiBus(LPSRB pSrb_);
DWORD command_GetsetTimeouts(LPSRB pSrb_);

#endif
